uses graph, crt;
var a,b,c,d,e,f,x1,y1,x2,y2:integer;
    p1,p2,p3,p4:pointer;
begin
initgraph (a,b,'system');
settextstyle (1,0,5);
setusercharsize (5,3,4,3);
cleardevice;
outtextxy (1,0,'Al');
c:=imagesize (0,11,47,42);
getmem (p1,c);
getimage (0,11,47,42,p1^);
cleardevice;
outtext ('Bi');
c:=imagesize (0,11,47,42);
getmem (p2,c);
getimage (0,11,47,42,p2^);
cleardevice;
outtext ('so');
c:=imagesize (0,11,47,42);
getmem (p3,c);
getimage (0,11,47,42,p3^);
cleardevice;
outtext ('ft');
c:=imagesize (0,11,47,42);
getmem (p4,c);
getimage (0,11,47,42,p4^);
cleardevice;
for a:=0 to 273 do begin
    putimage (a,round (a/1.5),p1^,normalput);
    putimage (320,round (a/1.5),p2^,normalput);
    delay (3);
    end;
delay (100);
for a:=273 downto 170 do begin
    putimage (a,round (273/1.5),p1^,normalput);
    putimage (a+47,round (273/1.5),p2^,normalput);
    delay (3);
    end;
for a:=479 downto round (273/1.5) do begin
    putimage (269,479-round (a*1.63),p3^,normalput);
    putimage (317,a,p4^,normalput);
    delay (3);
    end;
outtextxy (370,151,'A');
outtextxy (390,171,'B');
outtextxy (410,191,'S');
setcolor (2);
setrgbpalette (2,0,0,0);
settextstyle (7,0,4);
delay (100);
outtextxy (230,230,'Presents');
for a:=1 to 63 do setrgbpalette (2,a,a,a);
delay (200);
setcolor (1);
setwritemode (1);
for a:=1 to 18 do begin
    b:=random(479);
    c:=random(479);
    line (0,b,639,c);
    delay (70);
    line (0,b,639,c);
    end;
 setcolor (9);
 b:=random(479);
 c:=random(479);
 line (0,b,639,c);
    delay (70);
 b:=random(479);
 c:=random(479);
 line (0,b,639,c);
 delay (70);
 line (200,0,350,479);
 delay (70);
 setbkcolor (15);
 delay (50);
 setbkcolor (7);
 delay (20);
 setbkcolor (8);
 delay (20);
 setbkcolor (0);
 delay (400);
 setbkcolor (15);
 delay (70);
 setbkcolor (8);
 delay (20);
 setbkcolor (0);
 delay (500);
 setbkcolor (15);
 cleardevice;
 delay (110);
 setbkcolor (8);
 delay (20);
 setbkcolor (0);
 delay (200);
 setbkcolor (15);
 delay (30);
 setbkcolor (8);
 delay (20);
 setbkcolor (0);
 delay (200);
 setbkcolor (15);
 setwritemode (0);
 setcolor (15);
 settextstyle (1,0,7);
 outtextxy (335,90,'2');
 outtextxy (395,90,'0');
 settextstyle (1,0,10);
 outtextxy (100,100,'AlPaint');
 settextstyle (7,0,5);
 outtextxy (160,250,'Graficky editor');
 delay (20);
 setbkcolor (7);
 delay (50);
 setbkcolor (8);
{e:=e+1;
 a:=0;
 b:=0;
 c:=639;
 d:=479;
 setcolor (9);
 for f:=1 to 9 do begin
     rectangle (a,b,c,d);
     a:=a+e;
     b:=b+e;
     c:=c-e;
     d:=d-e;
     e:=e+f;
     end;       }
{ setcolor (1);
 for a:=1 to 80 do begin
    b:=random(479);
    c:=random(479);
    line (0,b,639,c);
    end;
 setwritemode (0);
 setcolor (15);
 settextstyle (1,0,7);
 outtextxy (335,90,'2');
 outtextxy (395,90,'0');
 settextstyle (1,0,10);
 outtextxy (100,100,'AlPaint');
 settextstyle (7,0,5);
 outtextxy (160,250,'Graficky editor');
{ delay (20);}
 setbkcolor (0);
 delay (1800);
 setcolor (0);
 for a:=0 to 250 do ellipse (320,220,0,360,a,a div 2);
 for a:=0 to 250 do ellipse (321,220,0,360,a,a div 2);


readkey;
end.